Skip to main content
`Ctrl`+`K`

# smallpond.execution.task.ExecutionPlan

class smallpond.execution.task.ExecutionPlan(ctx: RuntimeContext, root_task: RootTask, logical_plan: LogicalPlan )

  A directed acyclic graph (DAG) of tasks.

  __init__(ctx: RuntimeContext, root_task: RootTask, logical_plan: LogicalPlan ) → None

  Methods

  `__init__`(ctx, root_task, logical_plan) |
  `get_output`(output_name) |
  `iter_tasks`(task[, visited]) |

  Attributes

  `analyzed_logical_plan` |
  `final_output` |
  `final_output_path` |
  `leaves` |
  `named_outputs` |
  `successful` |
  `tasks` |